> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Native Tool



## OpenAPI

````yaml openapi-v2 PUT /native-tool/update/{nativeToolId}/{instanceName}
openapi: 3.0.3
info:
  title: ZapThinker API
  version: 2.1.1
servers:
  - url: https://api.zapthinker.com
security: []
paths:
  /native-tool/update/{nativeToolId}/{instanceName}:
    put:
      tags:
        - NativeTools
      summary: Update native tool
      operationId: putNative-toolUpdateByNativeToolIdByInstanceName
      parameters:
        - name: nativeToolId
          in: path
          required: true
          schema:
            type: string
        - name: instanceName
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````